Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/11/2023 in all areas

  1. 1 point
  2. "It would be safer to use "USERR1" (from 1 to 5 possible) to store the gap value." Any body can write code that uses the USER functions, another way is LDATA and you make up the name of the storage Variables. A bit safer. (vlax-ldata-put "AlanH" "ht" ht) (vlax-ldata-put "AlanH" "wid" wid) (vlax-ldata-put "AlanH" "xpt" xpt)
    1 point
  3. @barristann Thank you for your compliments. After some thought, I ask if it wouldn't be better to use a user variable instead of "DIMEXO". Indeed I am afraid that this will lead to bad behavior of the next DIMENSION. It would be safer to use "USERR1" (from 1 to 5 possible) to store the gap value. I let you replace "DIMEXO" with "USERR1" throughout the code for more security.
    1 point
  4. BIGAL, novice like me treasure every bit of help we can get from the experts. I used your codes at work several times today and will continue to do so going forward. They work great! I greatly appreciate your time and help BIGAL.
    1 point
  5. Just a comment, when I wrote the code I looked past just your request so I tested on random drawn lines at angles and code works. The next person may not have Horizontal and Vertical lines. I try to write a more global answer so suits next person asking.
    1 point
  6. In the registry its easy (setenv & (getenv. (setq alancnt (getenv "xyzabc")) You just need to work out how to do the 1st go and set the Reg variable. Ok better ways is read USB serial number, read Hard disk ID, read IP address. If your supplying usb then you know its serial number. So copy the software to say hard disk will make it not work. (defun UsbDriveSerialNumber ( / fso dr) (setq fso (vlax-create-object "Scripting.FileSystemObject")) (vlax-for d (vlax-get fso 'Drives) (if (= (Vlax-get d 'DriveType) 2) (setq dr (cons (list (vla-get-path d) (vla-get-SerialNumber d)) dr) ) ) ) (vlax-release-object fso) (reverse dr) ) (UsbDriveSerialNumber) You can process multiple lisp files to FAS in one go. Post if need code. Ok a hint for multiple files is using a bat file you can copy passwordfile.lsp+yourlisp1.lsp c:\\myfasfiles\yourlisp1.lsp This allows you to make a tiny lisp that has the test in it and the copy command adds it to the top of the new lisp file., which you compile to fas. This way you can test the code without the security check. Used on 130 files in one go.
    1 point
  7. Steven P I have had limited use of INKSCAPE but it makes a dxf or dwg of an image. see post by Cad64 item 2.
    1 point
  8. OK Tsuky, my gap can also be 0.0... Thanks for an idea...
    1 point
  9. @barristann I edited the previous code. You select all your lines concerned You will have the option to cut either with the verticals or with the horizontals. I also added the option of the gap (which can be 0.0)
    1 point
  10. @barristann Have you checked my version... All you have to do is answer "Yes" if highlighting of lines match what you want, or "No" if highlighting of lines don't match what you want... Should be no syntax error... Though I've checked only in BricsCAD V23... [EDIT] Checked also in AutoCAD 2022 and it worked like should [/EDIT]
    1 point
  11. Use -overkill to set all this options. First frame can set on Ignore Opt.
    1 point
×
×
  • Create New...